Bug 156899 - cannot get Samsung ML-1740 usb printer to work
cannot get Samsung ML-1740 usb printer to work
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-05-04 20:02 EDT by Peter Blomgren
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Blomgren 2005-05-04 20:02:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Relevant packages/versions:

I'm trying to get a Samsung ML-1740 usb printer to work on my FC3 system (it has been suggested that it works as an "ML-1710")

lsusb reports (hwdata-0.145-1)
   Bus 002 Device 007: ID 04e8:324c Samsung Electronics Co., Ltd
   ML-1740 Laser Printer

(Note that I added the entry for 04e8:324c in /usr/share/hwdata/usb.ids by hand; suggested in some other bug report -- can't find it right now, my head is spinning)

/var/log/messages contain
   kernel: usb 2-1: new full speed USB device using uhci_hcd and address 7

system-config-printer does not show any devices except /dev/lp0, and I have no /dev/usb directory...

Am I missing something obvious?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. system-config-printer
2. -> new 
3. ---> Find no useful locally-connected devices


Additional info:
Comment 1 Peter Blomgren 2005-05-04 21:51:15 EDT
booting with 'pci=routeirq' does not affect this problem.
Comment 2 Tim Waugh 2005-05-05 04:55:06 EDT
If /dev/usb/lp0 doesn't exist you have a kernel issue of some sort.
Comment 3 Pete Zaitcev 2005-05-05 13:05:22 EDT
Please attach full dmesg and /proc/bus/usb/devices, taken with the printer
connected (do not drop them into the comments box).
Comment 4 Peter Blomgren 2005-05-05 14:02:11 EDT
'modprobe usblp' solved the problem, do you still want dmesg and
/proc/bus/usb/devices ???
Comment 5 Pete Zaitcev 2005-05-27 13:26:10 EDT
I see. Something is wrong with hotplug (FC3 does not use udevsend).
If the device was created after, it means that udev works right.

No, I do not need dmesg in this case. However, the /proc/bus/usb/devices
is always needed, to verify that the printer reports correct class, etc.

The driver should be loaded on hotplug. N.B. it makes no sense
to verify load-on-open on udev systems, because /dev/usb/lp0 is created
by udev when the driver is loaded.

What does this produce:
 grep usblp /lib/modules/$(uname -r)/modules.usbmap
Comment 6 Dave Jones 2005-07-15 13:33:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dave Jones 2005-10-02 20:04:32 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.